ON_3dmObjectAttributes Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_attributes.h>`

Inheritance diagram for ON_3dmObjectAttributes:

## Public Member Functions

ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
unsigned int | SizeOf () const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
bool | Transform (const ON_Xform &xform)
| ON_3dmObjectAttributes ()
| ~ON_3dmObjectAttributes ()
bool | operator== (const ON_3dmObjectAttributes &) const
bool | operator!= (const ON_3dmObjectAttributes &) const
void | Default ()
ON::object_mode | Mode () const
void | SetMode (ON::object_mode)
bool | IsInstanceDefinitionObject () const
bool | IsVisible () const
void | SetVisible (bool bVisible)
ON::object_linetype_source | LinetypeSource () const
void | SetLinetypeSource (ON::object_linetype_source)
ON::object_color_source | ColorSource () const
void | SetColorSource (ON::object_color_source)
ON::plot_color_source | PlotColorSource () const
void | SetPlotColorSource (ON::plot_color_source)
ON::plot_weight_source | PlotWeightSource () const
void | SetPlotWeightSource (ON::plot_weight_source)
ON::display_mode | DisplayMode () const
void | SetDisplayMode (ON::display_mode)
ON_DEPRECATED unsigned int | ApplyParentalControl (const ON_3dmObjectAttributes &parent_attributes, unsigned int control_limits=0xFFFFFFFF)
unsigned int | ApplyParentalControl (const ON_3dmObjectAttributes &parent_attributes, const ON_Layer &parent_layer, unsigned int control_limits=0xFFFFFFFF)
bool | SetCustomRenderMeshParameters (const class ON_MeshParameters &mp)
bool | EnableCustomRenderMeshParameters (bool bEnable)
const ON_MeshParameters * | CustomRenderMeshParameters () const
void | DeleteCustomRenderMeshParameters ()
ON::object_material_source | MaterialSource () const
void | SetMaterialSource (ON::object_material_source ms)
int | GroupCount () const
const int * | GroupList () const
int | GetGroupList (ON_SimpleArray< int > &) const
int | TopGroup () const
ON_BOOL32 | IsInGroup (int) const
ON_BOOL32 | IsInGroups (int, const int *) const
ON_BOOL32 | IsInGroups (const ON_SimpleArray< int > &) const
void | AddToGroup (int)
void | RemoveFromGroup (int)
void | RemoveFromTopGroup ()
void | RemoveFromAllGroups ()
bool | FindDisplayMaterialRef (const ON_DisplayMaterialRef &search_material, ON_DisplayMaterialRef *found_material=NULL) const
bool | FindDisplayMaterialId (const ON_UUID &viewport_id, ON_UUID *display_material_id=NULL) const
bool | AddDisplayMaterialRef (ON_DisplayMaterialRef display_material)
bool | RemoveDisplayMaterialRef (ON_UUID viewport_id, ON_UUID display_material_id=ON_nil_uuid)
void | RemoveAllDisplayMaterialRefs ()
int | DisplayMaterialRefCount () const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_UUID | m_uuid
ON_wString | m_name
ON_wString | m_url
int | m_layer_index
int | m_linetype_index
int | m_material_index
ON_ObjectRenderingAttributes | m_rendering_attributes
ON_Color | m_color
ON_Color | m_plot_color
int | m_display_order
double | m_plot_weight_mm
ON::object_decoration | m_object_decoration
int | m_wire_density
ON_UUID | m_viewport_id
ON::active_space | m_space
ON_SimpleArray< ON_DisplayMaterialRef > | m_dmref

## Detailed Description

Definition at line 41 of file opennurbs_3dm_attributes.h.

## Constructor & Destructor Documentation

## ON_3dmObjectAttributes()

ON_3dmObjectAttributes::ON_3dmObjectAttributes | ( |  | ) |

## ~ON_3dmObjectAttributes()

ON_3dmObjectAttributes::~ON_3dmObjectAttributes | ( |  | ) |

## Member Function Documentation

## AddDisplayMaterialRef()

bool ON_3dmObjectAttributes::AddDisplayMaterialRef | ( | ON_DisplayMaterialRef | display_material | ) |

## AddToGroup()

void ON_3dmObjectAttributes::AddToGroup | ( | int |  | ) |

## ApplyParentalControl() [1/2]

ON_DEPRECATED unsigned int ON_3dmObjectAttributes::ApplyParentalControl | ( | const ON_3dmObjectAttributes & | parent_attributes,
|  | unsigned int | control_limits = `0xFFFFFFFF`
| ) |  |

## ApplyParentalControl() [2/2]

unsigned int ON_3dmObjectAttributes::ApplyParentalControl | ( | const ON_3dmObjectAttributes & | parent_attributes,
|  | const ON_Layer & | parent_layer,
|  | unsigned int | control_limits = `0xFFFFFFFF`
| ) |  |

## ColorSource()

ON::object_color_source ON_3dmObjectAttributes::ColorSource | ( |  | ) | const

## CustomRenderMeshParameters()

const ON_MeshParameters* ON_3dmObjectAttributes::CustomRenderMeshParameters | ( |  | ) | const

## Default()

void ON_3dmObjectAttributes::Default | ( |  | ) |

## DeleteCustomRenderMeshParameters()

void ON_3dmObjectAttributes::DeleteCustomRenderMeshParameters | ( |  | ) |

## DisplayMaterialRefCount()

int ON_3dmObjectAttributes::DisplayMaterialRefCount | ( |  | ) | const

## DisplayMode()

ON::display_mode ON_3dmObjectAttributes::DisplayMode | ( |  | ) | const

## Dump()

void ON_3dmObjectAttributes::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## EnableCustomRenderMeshParameters()

bool ON_3dmObjectAttributes::EnableCustomRenderMeshParameters | ( | bool | bEnable | ) |

## FindDisplayMaterialId()

bool ON_3dmObjectAttributes::FindDisplayMaterialId | ( | const ON_UUID & | viewport_id,
|  | ON_UUID * | display_material_id = `NULL`
| ) |  | const

## FindDisplayMaterialRef()

bool ON_3dmObjectAttributes::FindDisplayMaterialRef | ( | const ON_DisplayMaterialRef & | search_material,
|  | ON_DisplayMaterialRef * | found_material = `NULL`
| ) |  | const

## GetGroupList()

int ON_3dmObjectAttributes::GetGroupList | ( | ON_SimpleArray< int > & |  | ) | const

## GroupCount()

int ON_3dmObjectAttributes::GroupCount | ( |  | ) | const

## GroupList()

const int* ON_3dmObjectAttributes::GroupList | ( |  | ) | const

## IsInGroup()

ON_BOOL32 ON_3dmObjectAttributes::IsInGroup | ( | int |  | ) | const

## IsInGroups() [1/2]

ON_BOOL32 ON_3dmObjectAttributes::IsInGroups | ( | int | ,
|  | const int * |
| ) |  | const

## IsInGroups() [2/2]

ON_BOOL32 ON_3dmObjectAttributes::IsInGroups | ( | const ON_SimpleArray< int > & |  | ) | const

## IsInstanceDefinitionObject()

bool ON_3dmObjectAttributes::IsInstanceDefinitionObject | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_3dmObjectAttributes::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## IsVisible()

bool ON_3dmObjectAttributes::IsVisible | ( |  | ) | const

## LinetypeSource()

ON::object_linetype_source ON_3dmObjectAttributes::LinetypeSource | ( |  | ) | const

## MaterialSource()

ON::object_material_source ON_3dmObjectAttributes::MaterialSource | ( |  | ) | const

## Mode()

ON::object_mode ON_3dmObjectAttributes::Mode | ( |  | ) | const

## operator!=()

bool ON_3dmObjectAttributes::operator!= | ( | const ON_3dmObjectAttributes & |  | ) | const

## operator==()

bool ON_3dmObjectAttributes::operator== | ( | const ON_3dmObjectAttributes & |  | ) | const

## PlotColorSource()

ON::plot_color_source ON_3dmObjectAttributes::PlotColorSource | ( |  | ) | const

## PlotWeightSource()

ON::plot_weight_source ON_3dmObjectAttributes::PlotWeightSource | ( |  | ) | const

## Read()

ON_BOOL32 ON_3dmObjectAttributes::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## RemoveAllDisplayMaterialRefs()

void ON_3dmObjectAttributes::RemoveAllDisplayMaterialRefs | ( |  | ) |

## RemoveDisplayMaterialRef()

bool ON_3dmObjectAttributes::RemoveDisplayMaterialRef | ( | ON_UUID | viewport_id,
|  | ON_UUID | display_material_id = `ON_nil_uuid`
| ) |  |

## RemoveFromAllGroups()

void ON_3dmObjectAttributes::RemoveFromAllGroups | ( |  | ) |

## RemoveFromGroup()

void ON_3dmObjectAttributes::RemoveFromGroup | ( | int |  | ) |

## RemoveFromTopGroup()

void ON_3dmObjectAttributes::RemoveFromTopGroup | ( |  | ) |

## SetColorSource()

void ON_3dmObjectAttributes::SetColorSource | ( | ON::object_color_source |  | ) |

## SetCustomRenderMeshParameters()

bool ON_3dmObjectAttributes::SetCustomRenderMeshParameters | ( | const class ON_MeshParameters & | mp | ) |

## SetDisplayMode()

void ON_3dmObjectAttributes::SetDisplayMode | ( | ON::display_mode |  | ) |

## SetLinetypeSource()

void ON_3dmObjectAttributes::SetLinetypeSource | ( | ON::object_linetype_source |  | ) |

## SetMaterialSource()

void ON_3dmObjectAttributes::SetMaterialSource | ( | ON::object_material_source | ms | ) |

## SetMode()

void ON_3dmObjectAttributes::SetMode | ( | ON::object_mode |  | ) |

## SetPlotColorSource()

void ON_3dmObjectAttributes::SetPlotColorSource | ( | ON::plot_color_source |  | ) |

## SetPlotWeightSource()

void ON_3dmObjectAttributes::SetPlotWeightSource | ( | ON::plot_weight_source |  | ) |

## SetVisible()

void ON_3dmObjectAttributes::SetVisible | ( | bool | bVisible | ) |

## SizeOf()

unsigned int ON_3dmObjectAttributes::SizeOf | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## TopGroup()

int ON_3dmObjectAttributes::TopGroup | ( |  | ) | const

## Transform()

bool ON_3dmObjectAttributes::Transform | ( | const ON_Xform & | xform | ) |

## Write()

ON_BOOL32 ON_3dmObjectAttributes::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_color

ON_Color ON_3dmObjectAttributes::m_color

Definition at line 330 of file opennurbs_3dm_attributes.h.

## m_display_order

int ON_3dmObjectAttributes::m_display_order

Definition at line 341 of file opennurbs_3dm_attributes.h.

## m_dmref

ON_SimpleArray<ON_DisplayMaterialRef> ON_3dmObjectAttributes::m_dmref

Definition at line 566 of file opennurbs_3dm_attributes.h.

## m_layer_index

int ON_3dmObjectAttributes::m_layer_index

Definition at line 224 of file opennurbs_3dm_attributes.h.

## m_linetype_index

int ON_3dmObjectAttributes::m_linetype_index

Definition at line 231 of file opennurbs_3dm_attributes.h.

## m_material_index

int ON_3dmObjectAttributes::m_material_index

Definition at line 248 of file opennurbs_3dm_attributes.h.

## m_name

ON_wString ON_3dmObjectAttributes::m_name

Definition at line 212 of file opennurbs_3dm_attributes.h.

## m_object_decoration

ON::object_decoration ON_3dmObjectAttributes::m_object_decoration

Definition at line 349 of file opennurbs_3dm_attributes.h.

## m_plot_color

ON_Color ON_3dmObjectAttributes::m_plot_color

Definition at line 334 of file opennurbs_3dm_attributes.h.

## m_plot_weight_mm

double ON_3dmObjectAttributes::m_plot_weight_mm

Definition at line 346 of file opennurbs_3dm_attributes.h.

## m_rendering_attributes

ON_ObjectRenderingAttributes ON_3dmObjectAttributes::m_rendering_attributes

Definition at line 249 of file opennurbs_3dm_attributes.h.

## m_space

ON::active_space ON_3dmObjectAttributes::m_space

Definition at line 376 of file opennurbs_3dm_attributes.h.

## m_url

ON_wString ON_3dmObjectAttributes::m_url

Definition at line 218 of file opennurbs_3dm_attributes.h.

## m_uuid

ON_UUID ON_3dmObjectAttributes::m_uuid

Definition at line 208 of file opennurbs_3dm_attributes.h.

## m_viewport_id

ON_UUID ON_3dmObjectAttributes::m_viewport_id

Definition at line 370 of file opennurbs_3dm_attributes.h.

## m_wire_density

int ON_3dmObjectAttributes::m_wire_density

Definition at line 361 of file opennurbs_3dm_attributes.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_attributes.h